Vercel REST API Reference
APIs & SDKs
Vercel REST API
Using the REST API Copy link to section
Interact programmatically with your Vercel account using the SDK or direct HTTP requests. You can deploy new versions of web applications, manage custom domains, retrieve information about deployments, and manage secrets and environment variables for projects.
The API supports any programming language or framework that can send HTTP requests.
API basics Copy link to section
The API is exposed as an HTTP/1 and HTTP/2 service over SSL. All endpoints live under the URLhttps://api.vercel.com and follow the REST architecture.
Authentication Copy link to section
Vercel Access Tokens are required to authenticate and use the Vercel API. Include the token in the Authorizationheader:
Authorization: Bearer <TOKEN>
Create and manage Access Tokens in your account settings.
Accessing team resources Copy link to section
By default, you can access resources in your personal account. To access resources owned by a team, append the Team ID as a query string:
https://api.vercel.com/v6/deployments?teamId=[teamID]
Rate limits Copy link to section
The API limits the number of calls you can make over a period of time. Rate limits are specified via response headers:X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset. See the limits documentation for details.
Endpoints Copy link to section
Browse all available REST API endpoints grouped by category.
Access Groups11 endpoints Ai Gateway4 endpoints Aliases6 endpoints API Ai Gateway8 endpoints Artifacts7 endpoints Authentication5 endpoints Billing3 endpoints Bulk Redirects7 endpoints Certs5 endpoints Checks V210 endpoints Connect13 endpoints Deployments10 endpoints DNS4 endpoints Domains9 endpoints Domains Registrar19 endpoints Drains6 endpoints Edge Cache4 endpoints Environment11 endpoints Feature Flags21 endpoints Global Config18 endpoints Integrations10 endpoints Kms13 endpoints Logs1 endpoint Marketplace25 endpoints Microfrontends5 endpoints Networking11 endpoints Observability2 endpoints Project Routes8 endpoints Projectmembers3 endpoints Projects32 endpoints Rolling Release8 endpoints Sandboxes30 endpoints Security13 endpoints Static Ips1 endpoint Storage3 endpoints Teams16 endpoints User4 endpoints VCR27 endpoints Vercel Ci16 endpoints Web Analytics4 endpoints Webhooks4 endpoints
Related Vercel documentation
Cross-link map: Vercel REST API Reference (/docs/rest-api)
From the Vercel docs graph (built 2026-09-25T05:54:54.356Z), spanning vercel.com docs + KB, nextjs.org, ai-sdk.dev, and other Vercel documentation sites. Full graph as JSON: https://vercel.com/docs/graph.json
Semantically closest pages
- Vercel SDK Reference — Interact programmatically with your Vercel account using the SDK.
- Building Integrations with Vercel REST API — Learn how to use Vercel REST API to build your integrations and work with redirect URLs.
- Retrieve a list of all Drains — GET /v1/drains — Allows to retrieve the list of Drains of the authenticated team.
- Working with Drains — Drains collect logs, traces, speed insights, and analytics from your applications. Forward observability data to custom
- Update an existing Drain — PATCH /v1/drains/{id} — Update the configuration of an existing drain.
This page links to (397)
- Create an access group project — POST /v1/access-groups/{accessGroupIdOrName}/projects — Allows creation of an access group project
- Creates an access group — POST /v1/access-groups — Allows to create an access group
- Delete an access group project — DELETE /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows deletion of an access group project
- Deletes an access group — DELETE /v1/access-groups/{idOrName} — Allows to delete an access group
- List access groups for a team, project or member — GET /v1/access-groups — List access groups
- List members of an access group — GET /v1/access-groups/{idOrName}/members — List members of an access group
- List projects of an access group — GET /v1/access-groups/{idOrName}/projects — List projects of an access group
- Reads an access group — GET /v1/access-groups/{idOrName} — Allows to read an access group
- Reads an access group project — GET /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows reading an access group project
- Update an access group — POST /v1/access-groups/{idOrName} — Allows to update an access group metadata
- Update an access group project — PATCH /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows update of an access group project
- Create rule — POST /v1/ai-gateway/rules — Create a routing rule
- Delete rule — DELETE /v1/ai-gateway/rules — Delete a routing rule \(soft delete\)
- List rules — GET /v1/ai-gateway/rules — List the authenticated team's routing rules
- Update rule — PATCH /v1/ai-gateway/rules — Update a routing rule \(enabled, action, or description\)
- Assign an Alias — POST /v2/deployments/{id}/aliases — Creates a new alias for the deployment resolved from the given deployment or alias I
- Delete an Alias — DELETE /v2/aliases/{aliasId} — Delete an Alias with the specified ID.
- Get an Alias — GET /v4/aliases/{idOrAlias} — Retrieves an Alias for the given host name or alias ID.
- List aliases — GET /v4/aliases — Retrieves a list of aliases for the authenticated User or Team. When `domain\` is provided, only alia
- List Deployment Aliases — GET /v2/deployments/{id}/aliases — Retrieves all Aliases for the Deployment with the given ID. The authenticated user or
- Update the protection bypass for a URL — PATCH /aliases/{id}/protection-bypass — Update the protection bypass for the alias or deployment URL \(used for user acc
- Create virtual model config — POST /v1/ai-gateway/virtual-model-configs — Create a virtual model config \(VMC\)
- Delete virtual model config — DELETE /v1/ai-gateway/virtual-model-configs — Delete a virtual model config \(soft delete\)
- Get virtual model config — GET /v1/ai-gateway/virtual-model-configs — Get a virtual model config
- List virtual model configs — GET /v1/ai-gateway/virtual-model-configs/list — List virtual model configs. With `ownerId\`, returns all of that team's
- Update virtual model config — PATCH /v1/ai-gateway/virtual-model-configs — Update a virtual model config
- Check if a cache artifact exists — HEAD /v8/artifacts/{hash} — Check that a cache artifact with the given `hash\` exists. This request returns response he
- Delete all cache artifacts — DELETE /v8/artifacts — Deletes all cache artifacts stored for the authenticated team or user, clearing the Remote Cache.
- Download a cache artifact — GET /v8/artifacts/{hash} — Downloads a cache artifact indentified by its `hash\` specified on the request path. The art
- Get status of Remote Caching for this principal — GET /v8/artifacts/status — Check the status of Remote Caching for this principal. Returns a JSON-encoded status indicati
- Query information about an artifact — POST /v8/artifacts — Query information about an array of artifacts.
- Record an artifacts cache usage event — POST /v8/artifacts/events — Records an artifacts cache usage event. The body of this request is an array of cache usage
- Upload a cache artifact — PUT /v8/artifacts/{hash} — Uploads a cache artifact identified by the `hash\` specified on the path. The cache artifact
- Create an Auth Token — POST /v3/user/tokens — Creates and returns a new authentication token for the currently authenticated User. The \`bearer
- Delete an authentication token — DELETE /v3/user/tokens/{tokenId} — Invalidate an authentication token, such that it will no longer be valid for future H
- Get Auth Token Metadata — GET /v5/user/tokens/{tokenId} — Retrieve metadata about an authentication token belonging to the currently authenticated
- List Auth Tokens — GET /v6/user/tokens — Retrieve a list of the current User's authentication tokens.
- SSO Token Exchange — POST /v1/integrations/sso/token — During the autorization process, Vercel sends the user to the provider \[redirectLogin\
- List FOCUS billing charges — GET /v1/billing/charges — Returns the billing charge data in FOCUS v1.3 JSONL format for a specified Vercel team, within\
- List FOCUS contract commitments — GET /v1/billing/contract-commitments — Returns commitment allocations per contract period in FOCUS v1.3 JSONL format for\
- Purchase credits — POST /v1/billing/buy — Purchases credits for a Vercel team using the default payment method on file. The purchase is cha\
- Delete project-level redirects. — DELETE /v1/bulk-redirects — Deletes the provided redirects from the latest version of the projects' bulk redirects. Stag\
- Edit a project-level redirect. — PATCH /v1/bulk-redirects — Edits a single redirect identified by its source path. Stages a new change with the modified\
- Get the version history for a project's redirects. — GET /v1/bulk-redirects/versions — Get the version history for a project's bulk redirects\
- Gets project-level redirects. — GET /v1/bulk-redirects — Get the version history for a project's bulk redirects\
- Promote a staging version to production or restore a previous production version. — POST /v1/bulk-redirects/versions — Update a version by promoting staging to production or restoring a previous productio\
- Restore staged project-level redirects to their production version. — POST /v1/bulk-redirects/restore — Restores the provided redirects in the staging version to the value in the production\
- Stages new redirects for a project. — PUT /v1/bulk-redirects — Stages new redirects for a project and returns the new version.\
- Get cert by id — GET /v8/certs/{id} — Get cert by id\
- Get certs — GET /v8/certs — Get certs\
- Issue a new cert — POST /v8/certs — Issue a new cert\
- Remove cert — DELETE /v8/certs/{id} — Remove cert\
- Upload a cert — PUT /v8/certs — Upload a cert\
- Create a check — POST /v2/projects/{projectIdOrName}/checks — Creates a new check for a project.\
- Create a check run — POST /v2/deployments/{deploymentId}/check-runs — Creates a new check run for a deployment.\
- Delete a check — DELETE /v2/projects/{projectIdOrName}/checks/{checkId} — Delete an existing check and all of its runs.\
- Get a check — GET /v2/projects/{projectIdOrName}/checks/{checkId} — Return a detailed response for a single check.\
- Get a check run — GET /v2/deployments/{deploymentId}/check-runs/{checkRunId} — Return a detailed response for a single check run.\
- List all checks for a project — GET /v2/projects/{projectIdOrName}/checks — List all checks for a project, optionally filtered by target.\
- List check runs for a deployment — GET /v2/deployments/{deploymentId}/check-runs — List all check runs for a deployment.\
- List runs for a check — GET /v2/projects/{projectIdOrName}/checks/{checkId}/runs — List all runs associated with a given check.\
- Update a check — PATCH /v2/projects/{projectIdOrName}/checks/{checkId} — Update an existing check.\
- Update a check run — PATCH /v2/deployments/{deploymentId}/check-runs/{checkRunId} — Update an existing check run for a deployment.\
- Create a Connect authorization request — POST /v1/connect/authorize/{connector} — Create an authorization request for a connector and return the URL and verifier\
- Create a connector — POST /v1/connect/connectors — Create a connector and optionally link it to a project. Use `type\` with complete provide\
- Create or update a connector project connection — POST /v1/connect/connectors/{connector}/projects/{projectId} — Connect a connector to a project, or replace the environm\
- Delete a connector — DELETE /v1/connect/connectors/{connector} — Delete a connector, its project connections, and its installation records.\
- Disconnect a connector from a project — DELETE /v1/connect/connectors/{connector}/projects/{projectId} — Disconnect a connector from a project.\
- Get a Connect token — POST /v1/connect/token/{connector} — Get an access token for a connector identified by the path parameter and scoped to\
- Get a connector — GET /v1/connect/connectors/{connector} — Get the connector by ID. Accepts a dashboard/team requester or a deployment's p\
- Get a connector project connection — GET /v1/connect/connectors/{connector}/projects/{projectId} — Get the configuration that connects a connector to a proje\
- List connectors — GET /v2/connect/connectors — List connectors that belong to a team.\
- List connectors for a project — GET /v2/connect/projects/{projectId}/connectors — List the connectors connected to a project and the environments where\
- List projects for a connector — GET /v2/connect/connectors/{connector}/projects — List the projects connected to a connector and the environments where\
- Update a connector — PATCH /v2/connect/connectors/{connector} — Update a connector and return the connector with any service-side update sign\
- Update connector trigger destinations — PATCH /v1/connect/connectors/{connector}/trigger-destinations — Replace the full set of destinations that receive trigge\
- Cancel a deployment — PATCH /v12/deployments/{id}/cancel — Cancels a deployment that is currently in progress, stopping the build before it co\
- Create a new deployment — POST /v13/deployments — Creates a new deployment for the authenticated team or user. For non-git deployments, upload fil\
- Delete a Deployment — DELETE /v13/deployments/{id} — This API allows you to delete a deployment, either by supplying its `id\` in the URL or\
- Get a deployment by ID or URL — GET /v13/deployments/{idOrUrl} — Retrieves information for a deployment either by supplying its ID \(`id\` property\) o\
- Get deployment events — GET /v3/deployments/{idOrUrl}/events — Get the build logs of a deployment by deployment ID and build ID. It can work as\
- Get Deployment File Contents — GET /v8/deployments/{id}/files/{fileId} — Allows to retrieve the content of a file by supplying the file identifier and\
- List Deployment Files — GET /v6/deployments/{id}/files — Allows to retrieve the file structure of the source code of a deployment by supplying t\
- List deployments — GET /v7/deployments — List deployments under the authenticated user or team. If a deployment hasn't finished uploading \
- Update deployment integration action — PATCH /v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action} —\
- Upload Deployment Files — POST /v2/files — Before you create a deployment you need to upload the required files for that deployment. To do it, you\
- Create a DNS record — POST /v2/domains/{domain}/records — Creates a DNS record for a domain.\
- Delete a DNS record — DELETE /v2/domains/{domain}/records/{recordId} — Removes an existing DNS record from a domain name.\
- List existing DNS records — GET /v5/domains/{domain}/records — Retrieves a list of DNS records created for a domain name. By default it returns 20 r\
- Update an existing DNS record — PATCH /v1/domains/records/{recordId} — Updates an existing DNS record for a domain name.\
- Buy a domain — POST /v1/registrar/domains/{domain}/buy — Buy a domain\
- Buy multiple domains — POST /v1/registrar/domains/buy — Buy multiple domains at once\
- Get a domain order — GET /v1/registrar/orders/{orderId} — Get information about a domain order by its ID\
- Get a domain's transfer status — GET /v1/registrar/domains/{domain}/transfer — Get the transfer status for a domain\
- Get availability for a domain — GET /v1/registrar/domains/{domain}/availability — Get availability for a specific domain. If the domain is available, it\
- Get availability for multiple domains — POST /v1/registrar/domains/availability — Get availability for multiple domains. If the domains are available, they can\
- Get contact info schema — GET /v1/registrar/domains/{domain}/contact-info/schema — Some TLDs require additional contact information. Use this endp\
- Get contact verification status for a domain — GET /v1/registrar/domains/{domain}/contact-verification — Get the registrant contact verification status for a domain. U\
- Get Domain Availability and Pricing — POST /v1/registrar/domains/search — Start domain research here. Get registration availability and pricing for 1–200 exac\
- Get price data for a domain — GET /v1/registrar/domains/{domain}/price — Get price data for a specific domain\
- Get price data for multiple domains — POST /v1/registrar/domains/price — Get price data for multiple domains in a single request.\
- Get the auth code for a domain — GET /v1/registrar/domains/{domain}/auth-code — Get the auth code for a domain. This is required to transfer a domain fro\
- Get TLD — GET /v1/registrar/tlds/{tld} — Get the metadata for a specific TLD.\
- Get TLD price data — GET /v1/registrar/tlds/{tld}/price — Get price data for a specific TLD. This only reflects base prices for the given TLD\
- Renew a domain — POST /v1/registrar/domains/{domain}/renew — Renew a domain\
- Transfer-in a domain — POST /v1/registrar/domains/{domain}/transfer — Transfer a domain in from another registrar\
- Update auto-renew for a domain — PATCH /v1/registrar/domains/{domain}/auto-renew — Update the auto-renew setting for a domain\
- Update nameservers for a domain — PATCH /v1/registrar/domains/{domain}/nameservers — Update the nameservers for a domain. Pass an empty array to use Verce\
- Add an existing domain to the Vercel platform — POST /v7/domains — This endpoint is used for adding a new apex domain name with Vercel for the authenticating user. Note\
- Claim Domain Ownership — POST /v9/domains/{domain}/claim — Claim ownership of a domain for the authenticated team by verifying a TXT record. The\
- Get a Domain's configuration — GET /v6/domains/{domain}/config — Get a Domain's configuration.\
- Get Domain Verification Record — GET /v9/domains/{domain}/verification — Get the TXT verification record needed to claim ownership of a domain for the au\
- Get Information for a Single Domain — GET /v5/domains/{domain} — Get information for a single domain in an account or team.\
- List all the domains — GET /v5/domains — Retrieves a list of domains registered for the authenticated user or team. By default it returns the l\
- List Project Domains by Apex Domain — GET /v1/domains/{domain}/project-domains — List all project domains associated with an apex domain owned by the authenti\
- Remove a domain by name — DELETE /v6/domains/{domain} — Delete a previously registered domain name from Vercel. Deleting a domain will automatical\
- Update or move apex domain — PATCH /v3/domains/{domain} — Update or move apex domain. Note: This endpoint is no longer used for updating auto-renew o\
- Create a new Drain — POST /v1/drains — Create a new Drain with the provided configuration.\
- Delete a drain — DELETE /v1/drains/{id} — Delete a specific Drain by passing the drain id in the URL.\
- Find a Drain by id — GET /v1/drains/{id} — Get the information for a specific Drain by passing the drain id in the URL.\
- Retrieve a list of all Drains — GET /v1/drains — Allows to retrieve the list of Drains of the authenticated team.\
- Update an existing Drain — PATCH /v1/drains/{id} — Update the configuration of an existing drain.\
- Validate Drain delivery configuration — POST /v1/drains/test — Validate the delivery configuration of a Drain using sample events.\
- Dangerously delete by source image — POST /v1/edge-cache/dangerously-delete-by-src-images — Marks a source image as deleted, causing cache entries associated\
- Dangerously delete by tag — POST /v1/edge-cache/dangerously-delete-by-tags — Marks a cache tag as deleted, causing cache entries associated with tha\
- Invalidate by source image — POST /v1/edge-cache/invalidate-by-src-images — Marks a source image as stale, causing its corresponding transformed imag\
- Invalidate by tag — POST /v1/edge-cache/invalidate-by-tags — Marks a cache tag as stale, causing cache entries associated with that tag to b\
- Create a custom environment for the current project. — POST /v9/projects/{idOrName}/custom-environments — Creates a custom environment for the current project. Cannot be named\
- Create one or more shared environment variables — POST /v1/env — Creates shared environment variable\(s\) for a team.\
- Delete one or more Env Var — DELETE /v1/env — Deletes one or many Shared Environment Variables for a given team.\
- Disconnects a shared environment variable for a given project — PATCH /v1/env/{id}/unlink/{projectId} — Disconnects a shared environment variable for a given project\
- Lists all Shared Environment Variables for a team — GET /v1/env — Lists all Shared Environment Variables for a team, taking into account optional filters.\
- Remove a custom environment — DELETE /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Remove a custom environment for the project.\
- Retrieve a custom environment — GET /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Retrieve a custom environment for the project. M\
- Retrieve custom environments — GET /v9/projects/{idOrName}/custom-environments — Retrieve custom environments for the project. Must not be named 'Produ\
- Retrieve the decrypted value of a Shared Environment Variable by id. — GET /v1/env/{id} — Retrieve the decrypted value of a Shared Environment Variable by id.\
- Update a custom environment — PATCH /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Update a custom environment for the project. M\
- Updates one or more shared environment variables — PATCH /v1/env — Updates a given Shared Environment Variable for a Team.\
- REST API Errors — General and specific errors you may encounter when using the Vercel REST API.\
- Create a flag — PUT /v1/projects/{projectIdOrName}/feature-flags/flags — Create a new feature flag for a project. The flag must have a u\
- Create a segment — PUT /v1/projects/{projectIdOrName}/feature-flags/segments — Create a new feature flag segment.\
- Create an SDK key — PUT /v1/projects/{projectIdOrName}/feature-flags/sdk-keys — Creates an SDK key.\
- Delete a flag — DELETE /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Permanently delete a feature flag from the pr\
- Delete a segment — DELETE /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Delete a feature flag segment.\
- Delete an SDK key — DELETE /v1/projects/{projectIdOrName}/feature-flags/sdk-keys/{hashKey} — Deletes an SDK key.\
- Get a flag — GET /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Retrieve a specific feature flag by its ID or sl\
- Get a segment — GET /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Retrieve a feature flag segment by ID or s\
- Get all SDK keys — GET /v1/projects/{projectIdOrName}/feature-flags/sdk-keys — Gets all SDK keys for a project.\
- Get project flag settings — GET /v1/projects/{projectIdOrName}/feature-flags/settings — Retrieve feature flag settings for a project.\
- List all flags for a team — GET /v2/teams/{teamId}/feature-flags/flags — Retrieve all feature flags for a team across all projects. Returns an opaqu\
- List flag versions — GET /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug}/versions — Lists flag versions for a given flag.\
- List flags — GET /v2/projects/{projectIdOrName}/feature-flags/flags — Retrieve feature flags for a project. Returns an opaque cursor\
- List segments — GET /v1/projects/{projectIdOrName}/feature-flags/segments — List all feature flag segments for a project.\
- List team project flag settings — GET /v1/teams/{teamId}/feature-flags/settings — Retrieve feature flag settings for projects in a team.\
- Retrieve the feature flags of a deployment — GET /v1/deployments/{deploymentId}/feature-flags — Retrieve the feature flags of a deployment.\
- Update a flag — PATCH /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Update an existing feature flag. This endpoint\
- Update a segment — PATCH /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Update an existing feature flag segment.\
- Update project flag settings — PATCH /v1/projects/{projectIdOrName}/feature-flags/settings — Update feature flag settings for a project.\
- Create a Global Config — POST /v1/global-config — Creates a Global Config.\
- Create a Global Config token — POST /v1/global-config/{edgeConfigId}/token — Adds a token to an existing Global Config.\
- Delete a Global Config — DELETE /v1/global-config/{edgeConfigId} — Delete a Global Config by id.\
- Delete a Global Config's schema — DELETE /v1/global-config/{edgeConfigId}/schema — Deletes the schema of existing Global Config.\
- Delete one or more Global Config tokens — DELETE /v1/global-config/{edgeConfigId}/tokens — Deletes one or more tokens of an existing Global Config.\
- Get a Global Config — GET /v1/global-config/{edgeConfigId} — Returns a Global Config.\
- Get a Global Config item — GET /v1/global-config/{edgeConfigId}/item/{edgeConfigItemKey} — Returns a specific Global Config Item.\
- Get all tokens of a Global Config — GET /v1/global-config/{edgeConfigId}/tokens — Returns all tokens of a Global Config.\
- Get Global Config backup — GET /v1/global-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId} — Retrieves a specific version of a Global Conf\
- Get Global Config backups — GET /v1/global-config/{edgeConfigId}/backups — Returns backups of a Global Config.\
- Get Global Config items — GET /v1/global-config/{edgeConfigId}/items — Returns all items of a Global Config.\
- Get Global Config schema — GET /v1/global-config/{edgeConfigId}/schema — Returns the schema of a Global Config.\
- Get Global Config token meta data — GET /v1/global-config/{edgeConfigId}/token/{token} — Return meta data about a Global Config token.\
- Get Global Configs — GET /v1/global-config — Returns all Global Configs.\
- Restore Global Config backup — POST /v1/global-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId}/restore — Restores a Global Config backup.\
- Update a Global Config — PUT /v1/global-config/{edgeConfigId} — Updates a Global Config.\
- Update Global Config items in batch — PATCH /v1/global-config/{edgeConfigId}/items — Update multiple Global Config Items in batch.\
- Update Global Config schema — POST /v1/global-config/{edgeConfigId}/schema — Update a Global Config's schema.\
- Connect integration resource to project — POST /v1/integrations/installations/{integrationConfigurationId}/resources/{resourceId}/connections — Connects an integr\
- Create integration store \(free and paid plans\) — POST /v1/storage/stores/integration/direct — Creates an integration store with automatic billing plan handling. For free\
- Delete an integration configuration — DELETE /v1/integrations/configuration/{id} — Allows to remove the configuration with the `id\` provided in the paramete\
- Get configurations for the authenticated user or team — GET /v1/integrations/configurations — Allows to retrieve all configurations for an authenticated integration. When the \
- List git namespaces by provider — GET /v1/integrations/git-namespaces — Lists git namespaces for a supported provider. Supported providers are `github\`,\
- List git repositories linked to namespace by provider — GET /v1/integrations/search-repo — Lists git repositories linked to a namespace `id\` for a supported provider. A speci\
- List integration billing plans — GET /v1/integrations/integration/{integrationIdOrSlug}/products/{productIdOrSlug}/plans — Get a list of billing plans fo\
- List products for integration configuration — GET /v1/integrations/configuration/{id}/products — Returns products available for an integration configuration. Each pro\
- Retrieve an integration configuration — GET /v1/integrations/configuration/{id} — Allows to retrieve a the configuration with the provided id in case it exists.\
- Activate a signing key — POST /v1/kms/issuers/{issuerId}/keys/{keyId}/activate — Activate a pending signing key so the issuer starts signing with\
- Create a signing key — POST /v1/kms/issuers/{issuerId}/keys — Create a new signing key for a KMS issuer. Depending on the activation mode, the\
- Create an issuer — POST /v1/kms/issuers — Create a new KMS issuer for the authenticated team. An issuer owns the asymmetric signing keys th\
- Create an issuer policy — POST /v1/kms/issuers/{issuerId}/policies — Attach a policy to a KMS issuer that grants a project's deployments permissio\
- Delete an issuer — DELETE /v1/kms/issuers/{issuerId} — Delete a KMS issuer and its signing keys.\
- Delete an issuer policy — DELETE /v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey} — Remove a policy from a KMS issuer.\
- Get an issuer — GET /v1/kms/issuers/{issuerId} — Retrieve a single KMS issuer by its ID. Accepts either a team bearer token \(existing p\
- List issuers — GET /v1/kms/issuers — Retrieve the list of KMS issuers that belong to the authenticated team. The results are paginated.\
- Revoke a signing key — POST /v1/kms/issuers/{issuerId}/keys/{keyId}/revoke — Immediately revoke a signing key that is already scheduled for rev\
- Sign a message — POST /v1/kms/issuers/{issuerId}/sign/message — Sign a raw message with a KMS issuer's active signing key. Authenticate t\
- Sign a token — POST /v1/kms/issuers/{issuerId}/sign/token — Sign a JWT with a KMS issuer's active signing key. Authenticate the request\
- Update an issuer — PATCH /v1/kms/issuers/{issuerId} — Update a KMS issuer's name or claims schema.\
- Update an issuer policy — PATCH /v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey} — Update an existing KMS issuer policy's environments or to\
- Get logs for a deployment — GET /v1/projects/{projectId}/deployments/{deploymentId}/runtime-logs — Returns a stream of logs for a given deployment.\
- Create Event — POST /v1/installations/{integrationConfigurationId}/events — Partner notifies Vercel of any changes made to an Installat\
- Create one or multiple experimentation items — POST /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items — Create one or multipl\
- Delete an existing experimentation item — DELETE /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId} — Delete an\
- Delete Integration Resource — DELETE /v1/installations/{integrationConfigurationId}/resources/{resourceId} — Delete a resource owned by the selected i\
- Finalize Installation — POST /v1/installations/{integrationConfigurationId}/billing/finalize — This endpoint allows the partner to mark an insta\
- Get Account Information — GET /v1/installations/{integrationConfigurationId}/account — Fetches the best account or user’s contact info\
- Get Integration Resource — GET /v1/installations/{integrationConfigurationId}/resources/{resourceId} — Get a resource by its partner ID.\
- Get Integration Resources — GET /v1/installations/{integrationConfigurationId}/resources — Get all resources for a given installation ID.\
- Get Invoice — GET /v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId} — Get Invoice details and status for a g\
- Get Member Information — GET /v1/installations/{integrationConfigurationId}/member/{memberId} — Returns the member role and other information for\
- Get the data of a user-provided Global Config — HEAD /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-config — When the user\
- Import Resource — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId} — This endpoint imports \(upserts\) a resource\
- Invoice Actions — POST /v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actions — This endpoint allows the part\
- Patch an existing experimentation item — PATCH /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId} — Patch an ex\
- Push data into a user-provided Global Config — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-config — When the user\
- Revoke Installation Credential — POST /v1/installations/{integrationConfigurationId}/credentials/revoke — Retires a superseded installation credential, s\
- Rotate Installation Credential — POST /v1/installations/{integrationConfigurationId}/credentials/rotate — Issues a replacement access token for an instal\
- Submit Billing Data — POST /v1/installations/{integrationConfigurationId}/billing — Sends the billing and usage data. The partner should do th\
- Submit Invoice — POST /v1/installations/{integrationConfigurationId}/billing/invoices — This endpoint allows the partner to submit an inv\
- Submit Prepayment Balances — POST /v1/installations/{integrationConfigurationId}/billing/balance — Sends the prepayment balances. The partner should\
- Update Installation — PATCH /v1/installations/{integrationConfigurationId} — This endpoint updates an integration installation.\
- Update Resource — PATCH /v1/installations/{integrationConfigurationId}/resources/{resourceId} — This endpoint updates an existing resource\
- Update Resource Secrets — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId}/secrets — This endpoint updates the secrets of\
- Create a microfrontends group with applications — POST /v1/microfrontends/group — Creates a microfrontends group and attaches multiple projects in a single request.\
- Get microfrontends config for a deployment — GET /v1/microfrontends/{deploymentId}/config — Get the microfrontends config for a deployment.\
- Get microfrontends config for a project — GET /v1/microfrontends/projects/{projectIdOrName}/production-mfe-config — Get the microfrontends config for a project by\
- List microfrontends groups — GET /v1/microfrontends/groups — Get the microfrontends group IDs for a team.\
- List projects in a microfrontends group — GET /v1/microfrontends/groups/{groupId}/projects — Get the microfrontends for a given group ID.\
- Create a Secure Compute network — POST /v1/connect/networks — Allows to create a Secure Compute network.\
- Delete a Secure Compute network — DELETE /v1/connect/networks/{networkId} — Allows to delete a Secure Compute network.\
- List Secure Compute networks — GET /v1/connect/networks — Allows to list Secure Compute networks.\
- Read a Secure Compute network — GET /v1/connect/networks/{networkId} — Allows to read a Secure Compute network.\
- Update a Secure Compute network — PATCH /v1/connect/networks/{networkId} — Allows to update a Secure Compute network.\
- Lists disabled Observability Plus projects — GET /v1/observability/manage/configuration/projects — Lists the projects that are currently configured as disabled for O\
- Updates a disabled Observability Plus project setting — PUT /v1/observability/manage/configuration/projects/{projectIdOrName} — Updates whether Observability Plus is disabled f\
- Add a routing rule — POST /v1/projects/{projectId}/routes — Add a single routing rule to a project at a specified position. Defaults to the e\
- Delete routing rules — DELETE /v1/projects/{projectId}/routes — Delete one or more routing rules from a project by ID. Stages a new version wit\
- Edit a routing rule — PATCH /v1/projects/{projectId}/routes/{routeId} — Replace a routing rule identified by its ID, or restore it from the cu\
- Generate a routing rule from natural language — POST /v1/projects/{projectId}/routes/generate — Generate a routing rule configuration from a natural language descriptio\
- Get project routing rules — GET /v1/projects/{projectId}/routes — Get the routing rules for a project. Supports searching by name/ID/pattern, filter\
- Get routing rule version history — GET /v1/projects/{projectId}/routes/versions — Get the version history for a project's routing rules. Returns the stagin\
- Promote, restore, or discard a routing rule version — POST /v1/projects/{projectId}/routes/versions — Promote staged routing rules to production, restore a previous productio\
- Stage routing rules — PUT /v1/projects/{projectId}/routes — Stage routing rules for a project. Set `overwrite\` to true to replace all existi\
- Adds a new member to a project. — POST /v1/projects/{idOrName}/members — Adds a new member to the project.\
- List project members — GET /v1/projects/{idOrName}/members — Lists all members of a project.\
- Remove a Project Member — DELETE /v1/projects/{idOrName}/members/{uid} — Remove a member from a specific project\
- Accept project transfer request — PUT /projects/transfer-request/{code} — Accept a project transfer request initated by another team.
The `code\` i\ - Add a domain to a project — POST /v10/projects/{idOrName}/domains — Add a domain to the project by passing its domain name and by specifying the pro\
- Batch remove environment variables — DELETE /v1/projects/{idOrName}/env — Delete multiple environment variables for a given project in a single batch operati\
- Create a new project — POST /v11/projects — Allows to create a new project with the provided configuration. It only requires the project \`name\
- Create a trace session token for a deployment — POST /v1/projects/traces/session — Mints a short-lived HS256 JWT scoped to a deployment hostname. The Vercel CLI present\
- Create one or more environment variables — POST /v10/projects/{idOrName}/env — Create one or more environment variables for a project by passing its `key\
, \\\val\ - Create project transfer request — POST /projects/{idOrName}/transfer-request — Initiates a project transfer request from one team to another.
Return\ - Delete a Project — DELETE /v9/projects/{idOrName} — Delete a specific project by passing either the project `id\
or \name\` in the URL.\ - Edit an environment variable — PATCH /v9/projects/{idOrName}/env/{id} — Edit a specific environment variable for a given project by passing the environ\
- Find a project by id or name — GET /v9/projects/{idOrName} — Get the information for a specific project by passing either the project `id\
or \\\name\ - Generate a project OIDC token — POST /v1/projects/{idOrName}/token — Generates an OIDC token for the project and returns it.\
- Get a project domain — GET /v9/projects/{idOrName}/domains/{domain} — Get project domain by project id/name and domain name.\
- Get a project trace by request ID — GET /v1/projects/traces — Returns the OTEL trace for a given Vercel CLI request.\
- Gets a list of aliases with status for the current promote — GET /v1/projects/{projectId}/promote/aliases — Get a list of aliases related to the last promote request with their mapp\
- Move a project domain — POST /v1/projects/{idOrName}/domains/{domain}/move — Move one project's domain to another project. Also allows the move\
- Pause a project — POST /v1/projects/{projectId}/pause — Pause a project by passing its project `id\` in the URL. If the project does not\
- Point production traffic to a given deployment — POST /v10/projects/{projectId}/promote/{deploymentId} — Allows users to promote a deployment to production. Note: This d\
- Point production traffic to a previous production deployment by ID — POST /v1/projects/{projectId}/rollback/{deploymentId} — Allows users to rollback to a deployment.\
- Remove a domain from a project — DELETE /v9/projects/{idOrName}/domains/{domain} — Remove a domain from a project by passing the domain name and by speci\
- Remove an environment variable — DELETE /v9/projects/{idOrName}/env/{id} — Delete a specific environment variable for a given project by passing the envi\
- Retrieve a list of projects — GET /v10/projects — Allows to retrieve the list of projects of the authenticated user or team. The list will be paginate\
- Retrieve project domains by project by id or name — GET /v9/projects/{idOrName}/domains — Retrieve the domains associated with a given project by passing either the project\
- Retrieve the decrypted value of an environment variable of a project by id — GET /v1/projects/{idOrName}/env/{id} — Retrieve the environment variable for a given project.\
- Retrieve the environment variables of a project by id or name — GET /v10/projects/{idOrName}/env — Retrieve the environment variables for a given project by passing either the project\
- Unpause a project — POST /v1/projects/{projectId}/unpause — Unpause a project by passing its project `id\` in the URL. If the project does\
- Update a project domain — PATCH /v9/projects/{idOrName}/domains/{domain} — Update a project domain's configuration, including the name, git branch\
- Update an existing project — PATCH /v9/projects/{idOrName} — Update the fields of a project using either its `name\
or \id\`.\ - Update Protection Bypass for Automation — PATCH /v1/projects/{idOrName}/protection-bypass — Update the deployment protection automation bypass for a project\
- Update the microfrontends settings — PATCH /v1/projects/{projectId}/microfrontends — Update the microfrontends settings for a project.\
- Updates the description for a rollback — PATCH /v1/projects/{projectId}/rollback/{deploymentId}/update-description — Updates the reason for a rollback, without c\
- Upload a project avatar — POST /v1/projects/{idOrName}/avatar — Upload an image as the avatar of the project identified by `idOrName\`. The reque\
- Verify project domain — POST /v9/projects/{idOrName}/domains/{domain}/verify — Attempts to verify a project domain with `verified = false\` by\
- Complete the rolling release for the project — POST /v1/projects/{idOrName}/rolling-release/complete — Force-complete a Rolling Release. The canary deployment will beg\
- Delete rolling release configuration — DELETE /v1/projects/{idOrName}/rolling-release/config — Disable Rolling Releases for a project means that future deploym\
- Get rolling release billing status — GET /v1/projects/{idOrName}/rolling-release/billing — Get the Rolling Releases billing status for a project. The team le\
- Get rolling release configuration — GET /v1/projects/{idOrName}/rolling-release/config — Get the Rolling Releases configuration for a project. The project-l\
- Get the active rolling release information for a project — GET /v1/projects/{idOrName}/rolling-release — Return the Rolling Release for a project, regardless of whether the rollou\
- Start a rolling release for the project — POST /v1/projects/{idOrName}/rolling-release/start — Start a rolling release for a deployment. If a rolling release is a\
- Update the active rolling release to the next stage for a project — POST /v1/projects/{idOrName}/rolling-release/approve-stage — Advance a rollout to the next stage. This is only needed wh\
- Update the rolling release settings for the project — PATCH /v1/projects/{idOrName}/rolling-release/config — Update \(or disable\) Rolling Releases for a project. When disabl\
- Create a directory — POST /v2/sandboxes/sessions/{sessionId}/fs/mkdir — Creates a new directory in a session's filesystem. By default, parent\
- Create a named sandbox — POST /v2/sandboxes — Creates a named sandbox environment. Named sandboxes have a unique name within a project and suppor\
- Create a snapshot — POST /v2/sandboxes/sessions/{sessionId}/snapshot — Creates a point-in-time snapshot of a running session's filesystem. S\
- Delete a drive — DELETE /v2/sandboxes/drives/{name} — Deletes a drive by project and name. Attached drives cannot be deleted. Stop or rep\
- Delete a sandbox — DELETE /v2/sandboxes/{name} — Deletes a sandbox by name. If sandboxes are currently running, they will be stopped first.\
- Delete a snapshot — DELETE /v2/sandboxes/snapshots/{snapshotId} — Permanently deletes a snapshot and frees its associated storage. This acti\
- Execute a command — POST /v2/sandboxes/sessions/{sessionId}/cmd — Executes a shell command inside a running session. The command runs asynch\
- Extend session timeout — POST /v2/sandboxes/sessions/{sessionId}/extend-timeout — Extends the maximum execution time of a running session. The se\
- Fork a named sandbox — POST /v2/sandboxes/{name}/fork — Forks a named sandbox, creating a new named sandbox from the source's configuration. Re\
- Get a command — GET /v2/sandboxes/sessions/{sessionId}/cmd/{cmdId} — Retrieves the current status and details of a command executed in a\
- Get a named sandbox — GET /v2/sandboxes/{name} — Retrieves a named sandbox by name, including its current sandbox and routes. If the sandbox i\
- Get a session — GET /v2/sandboxes/sessions/{sessionId} — Retrieves detailed information about a specific session, including its current\
- Get a snapshot — GET /v2/sandboxes/snapshots/{snapshotId} — Retrieves detailed information about a specific snapshot, including its creat\
- Get or create a drive — POST /v2/sandboxes/drives/{name} — Gets an existing drive by project and name, or creates it when it does not exist.\
- Kill a command — POST /v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}/kill — Sends a signal to terminate a running command in a session. T\
- List commands — GET /v2/sandboxes/sessions/{sessionId}/cmd — Retrieves a list of all commands that have been executed in a session, incl\
- List drives — GET /v2/sandboxes/drives — Retrieves a paginated list of drives belonging to a specific project.\
- List sandboxes — GET /v2/sandboxes — Retrieves a paginated list of named sandboxes belonging to a specific project. Results can be sorted\
- List sessions — GET /v2/sandboxes/sessions — Retrieves a paginated list of sessions belonging to a specific sandbox. Results are sorted\
- List snapshots — GET /v2/sandboxes/snapshots — Retrieves a paginated list of snapshots for a specific project.\
- Read a file — POST /v2/sandboxes/sessions/{sessionId}/fs/read — Downloads the contents of a file from a session's filesystem. The file\
- Stop a session — POST /v2/sandboxes/sessions/{sessionId}/stop — Stops a running session and releases its allocated resources. All running\
- Stream command logs — GET /v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}/logs — Streams the output of a command in real-time using newline-del\
- Update a sandbox — PATCH /v2/sandboxes/{name} — Updates the configuration of a sandbox. Only the provided fields will be modified; omitted\
- Update network policy — POST /v2/sandboxes/sessions/{sessionId}/network-policy — Replaces the network access policy of a running session. Use th\
- Write files — POST /v2/sandboxes/sessions/{sessionId}/fs/write — Uploads and extracts files to a session's filesystem. Files must be u\
- Vercel SDK Reference — Interact programmatically with your Vercel account using the SDK.\
- Create System Bypass Rule — POST /v1/security/firewall/bypass — Create new system bypass rules\
- Generate a firewall rule from natural language — POST /v1/security/firewall/config/generate-rule — Generate a firewall rule from a natural language description.\
- Put Firewall Configuration — PUT /v1/security/firewall/config — Set the firewall configuration to provided rules and settings. Creates or overwrite t\
- Read active attack data — GET /v1/security/firewall/attack-status — Retrieve active attack data within the last N days \(default: 1 day\)\
- Read Firewall Actions by Project — GET /v1/security/firewall/events — Retrieve firewall actions for a project Rule names are resolved against the project's\
- Read Firewall Configuration — GET /v1/security/firewall/config/{configVersion} — Retrieve the specified firewall configuration for a project. The depl\
- Read System Bypass — GET /v1/security/firewall/bypass — Retrieve the system bypass rules configured for the specified project\
- Remove System Bypass Rule — DELETE /v1/security/firewall/bypass — Remove system bypass rules\
- Returns activated WAF config — GET /v1/security/firewall/config — Lists WAF configs for a project\
- Update Attack Challenge mode — POST /v1/security/attack-mode — Update the setting for determining if the project has Attack Challenge mode enabled.\
- Update Firewall Configuration — PATCH /v1/security/firewall/config — Process updates to modify the existing firewall config for a project\
- Create a Blob store — POST /storage/stores/blob — Create a Blob store\
- Delete a Blob store — DELETE /storage/stores/blob/{id} — Delete a Blob store\
- Get a store — GET /storage/stores/{id} — Get a store\
- Create a Team — POST /v1/teams — Create a new Team under your account. You need to send a POST request with the desired Team slug, and..\
- Delete a microfrontends group — DELETE /v1/teams/{teamId}/microfrontends/{groupId} — Deletes a microfrontends group from the team associated with the gr\
- Delete a Team — DELETE /v1/teams/{teamId} — Delete a team under your account. You need to send a `DELETE\` request with the desired tea\
- Delete a Team invite code — DELETE /v1/teams/{teamId}/invites/{inviteId} — Delete an active Team invite code.\
- Get a Team — GET /v2/teams/{teamId} — Get information for the Team specified by the `teamId\` parameter.\
- Get access request status — GET /v1/teams/{teamId}/request/{userId} — Check the status of a join request. It'll respond with a 404 if the request ha\
- Invite a user — POST /v2/teams/{teamId}/members — Invite a user to join the team specified in the URL. The authenticated user needs to b\
- Join a team — POST /v1/teams/{teamId}/members/teams/join — Join a team with a provided invite code or team ID.\
- List all teams — GET /v2/teams — Get a paginated list of all the Teams the authenticated User is a member of.\
- List team members — GET /v3/teams/{teamId}/members — Get a paginated list of team members for the provided team.\
- Remove a Team Member — DELETE /v1/teams/{teamId}/members/{uid} — Remove a Team Member from the Team, or dismiss a user that requested access, o\
- Request access to a team — POST /v1/teams/{teamId}/request — Request access to a team as a member. An owner has to approve the request. Only 100 us\
- Update a microfrontends group — PATCH /v1/teams/{teamId}/microfrontends/{groupId} — Updates a microfrontends group's settings.\
- Update a Team — PATCH /v2/teams/{teamId} — Update the information of a Team specified by the `teamId\` parameter. The request body shou\
- Update a Team Member — PATCH /v1/teams/{teamId}/members/{uid} — Update the membership of a Team Member on the Team specified by `teamId\`, suc\
- Update Team Directory Sync Role Mappings — POST /v1/teams/{teamId}/dsync-roles — Update the Directory Sync role mappings for a Team. This endpoint allows updating\
- Delete User Account — DELETE /v1/user — Initiates the deletion process for the currently authenticated User, by sending a deletion confirmatio\
- Get the User — GET /v2/user — Retrieves information related to the currently authenticated User.\
- List Event Types — GET /v1/events/types — Returns the list of user-facing event types with descriptions.\
- List User Events — GET /v3/events — Retrieves a list of "events" generated by the User on Vercel. Events are generated when the User perfor\
- Add a repository permission — POST /v1/vcr/repository/{idOrName}/permissions — Grant a team access to a VCR repository. Sharing applies to the whole r\
- Cancel a blob upload — DELETE /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid} — DELETE /v2/:teamSlug/:projectSlug/:repositor\
- Check if a blob exists — HEAD /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/{digest} — HEAD /v2/:teamSlug/:projectSlug/:repositoryName/blob\
- Check if a manifest exists — HEAD /v2/{teamSlug}/{projectSlug}/{repositoryName}/manifests/{reference} — HEAD /v2/:teamSlug/:projectSlug/:repositoryNa\
- Check registry API version support — GET /v2/ — GET /v2/ Docker Registry v2 version check. Returns a 401 challenge when no credentials are provided, promptin\
- Clear all repository permissions — DELETE /v1/vcr/repository/{idOrName}/permissions/all — Revoke every team's access to a VCR repository. Clearing an unsha\
- Complete a blob upload — PUT /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid} — PUT /v2/:teamSlug/:projectSlug/:repositoryName/\
- Create a repository — POST /v1/vcr/repository — Create a container registry repository for a project.\
- Delete a blob — DELETE /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/{digest} — DELETE /v2/:teamSlug/:projectSlug/:repositoryName/\
- Delete a repository — DELETE /v1/vcr/repository/{idOrName} — Schedule a repository for deletion. The repository is marked so it disappears fro\
- Delete a repository image — DELETE /v1/vcr/repository/{idOrName}/images/{imageId} — Schedule an image for deletion. The image is marked so it disapp\
- Delete an image manifest — DELETE /v2/{teamSlug}/{projectSlug}/{repositoryName}/manifests/{reference} — DELETE /v2/:teamSlug/:projectSlug/:reposito\
- Download a blob — GET /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/{digest} — GET /v2/:teamSlug/:projectSlug/:repositoryName/blobs/\
- Get a repository — GET /v1/vcr/repository/{idOrName} — Fetch a container registry repository for a project by ID or name.\
- Get a repository image — GET /v1/vcr/repository/{idOrName}/images/{imageIdOrDigest} — Fetch an individual image from a repository, including its\
- Get a repository tag — GET /v1/vcr/repository/{idOrName}/tags/{tag} — Fetch a single tag from a repository, including the backing image's metad\
- Get blob upload status — GET /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid} — GET /v2/:teamSlug/:projectSlug/:repositoryName/\
- List image tags — GET /v2/{teamSlug}/{projectSlug}/{repositoryName}/tags/list — GET /v2/:teamSlug/:projectSlug/:repositoryName/tags/list L\
- List repositories — GET /v1/vcr/repository — List container registry repositories for a project.\
- List repository images — GET /v1/vcr/repository/{idOrName}/images — List images for a container registry repository, including their tags.\
- List repository permissions — GET /v1/vcr/repository/{idOrName}/permissions — List the teams a VCR repository is shared with.\
- List repository tags — GET /v1/vcr/repository/{idOrName}/tags — List a repository's tags.\
- Pull an image manifest — GET /v2/{teamSlug}/{projectSlug}/{repositoryName}/manifests/{reference} — GET /v2/:teamSlug/:projectSlug/:repositoryName\
- Push an image manifest — PUT /v2/{teamSlug}/{projectSlug}/{repositoryName}/manifests/{reference} — PUT /v2/:teamSlug/:projectSlug/:repositoryName\
- Remove a repository permission — DELETE /v1/vcr/repository/{idOrName}/permissions — Revoke a team's access to a VCR repository.\
- Start a blob upload — POST /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/ — POST /v2/:teamSlug/:projectSlug/:repositoryName/blob\
- Upload a blob chunk — PATCH /v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid} — PATCH /v2/:teamSlug/:projectSlug/:repositoryN\
- Get a specific invocation attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt} — Get Invocation\
- Get a specific job definition — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId} — Get Job Definition\
- Get a specific job run attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt} — Ge\
- Get an invocation with its jobs and tasks — GET /v1/vercel-ci/invocations/{invocationId}/tree — Returns an invocation attempt together with every job definition, it\
- Get log lines for a specific job run attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}/logs\
- Get log lines for a specific task run attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}/task\
- Get log lines for an invocation attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/logs — Get Invocation Logs\
- Get log lines for the tasks of an invocation attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/task-logs — Returns log lines for the tasks of an invoca\
- List all attempts for an invocation — GET /v1/vercel-ci/invocations/{invocationId}/attempts — List Invocation Attempts\
- List all runs for a job definition — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs — List Job Runs\
- List all task definitions for a job run — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}/task\
- List invocations for a team, optionally filtered by repository and invocation metadata — GET /v2/vercel-ci/invocations — List Invocations\
- List job definitions for an invocation attempt — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions — List Job Definitions\
- List task runs for a job run — GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}/task\
- Retry a terminal Vercel CI invocation attempt — POST /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/retry — Retry Invocation\
- Search the task logs of several invocation attempts — GET /v1/vercel-ci/log-search — Searches the task logs of up to 50 invocation attempts at once, for example the most rece\
- Aggregates custom events — GET /v1/query/web-analytics/events/aggregate — Counts custom events on a project, within the requested date range. Resul\
- Aggregates page views — GET /v1/query/web-analytics/visits/aggregate — Counts pageviews on a project, within the requested date range. Results a\
- Counts custom events — GET /v1/query/web-analytics/events/count — Counts the number of custom events on a project \(production only\), since We\
- Counts page views — GET /v1/query/web-analytics/visits/count — Counts the number of page views on a project \(production only\), since Web A\
- Creates a webhook — POST /v1/webhooks — Creates a webhook\
- Deletes a webhook — DELETE /v1/webhooks/{id} — Deletes a webhook\
- Get a list of webhooks — GET /v1/webhooks — Get a list of webhooks\
- Get a webhook — GET /v1/webhooks/{id} — Get a webhook
\
Pages that link here (467)\
By site: vercel-changelog (8) · vercel-kb (10) · vercel-web (3) · vercel-docs (446)
\
From vercel-changelog\
\
- Access tokens can now be scoped to teams\
- Automatic REST API documentation with OpenAPI\
- Expiration dates now available for Access Tokens\
- Introducing new token formats and secret scanning\
- Project-scoped Tokens\
- Refreshed deployment link design in Vercel dashboard\
- Self-serve delegation of subdomains\
- Stage and manually promote deployments to production
\
From vercel-kb\
\
- Firewall Terraform Configuration — Learn how to create scalable firewall configurations with Terraform\
- Deploy to Vercel with Self-Hosted Git Pipelines \(GitLab & Bitbucket\) — Learn how to use GitLab Pipelines to deploy to Vercel including support for self-managed GitLab.\
- How do I add a domain using the Vercel API? — Information on adding a domain using the Vercel API.\
- How do I use a Vercel API Access Token? — An Access Token is required in order to use the Vercel API. Tokens can be created and managed at the level of your accou\
- How to build a honeypot with Vercel Web Application Firewall — Learn how to build a honeypot with Vercel Web Application Firewall \(WAF\) that catches bots ignoring your robots.txt. C\
- How to Utilize Vercel’s Bot Management Features — A practical, step-by-step guide to identifying unwanted automated traffic and securing your Vercel apps with Bot Protect\
- Managing Redirects from your CMS using Vercel Bulk Redirects — Learn how to sync redirect rules from your CMS to Vercel at build time with vercel.ts, allowing non-technical teams to m\
- Build a multi-tenant app with Next.js and Vercel — Create a Next.js application with multi-tenancy and custom domain support on Vercel.\
- The Complete Guide to Vercel Connect — Use Vercel Connect to call provider APIs like Slack, GitHub, Linear, Microsoft, Discord, Snowflake, and Salesforce from\
- Vercel Drop vs Netlify Drop — Compare Vercel Drop and Netlify Drop for drag-and-drop deployment: framework builds, static sites, updates, size limits,
\
From vercel-web\
\
From vercel-docs\
\
- Account Management — Learn how to manage your Vercel account and team members.\
- Access tokens — Create and scope Vercel access tokens to your full account, a team, or a single project, then use them to authenticate A\
- Markdown and Agent Discovery — Learn how Vercel serves documentation to AI agents as Markdown and helps them discover related pages through content neg\
- AI Gateway API Keys — Create, view, and delete AI Gateway API keys, and set each key's budget and spend attribution, from the dashboard, CLI,\
- Query Web Analytics with the API — Learn how Web Analytics concepts map to API queries for custom reports, dashboards, and insights.\
- Build Output Configuration — Learn about the Build Output Configuration file, which is used to configure the behavior of a Deployment.\
- Vercel Primitives — Learn about the Vercel platform primitives and how they work together to create a Vercel Deployment.\
- Managing Builds — Vercel allows you to increase the speed of your builds when needed in specific situations and workflows.\
- Anatomy of the Checks API — Learn how to create your own Checks with Vercel Integrations. You can build your own Integration to register any arbitra\
- Vercel CLI Overview — Learn how to use the Vercel command-line interface \(CLI\) to manage and configure your Vercel Projects from the command\
- vercel alias — Learn how to apply custom domain aliases to your Vercel deployments using the vercel alias CLI command.\
- vercel api — Learn how to make authenticated HTTP requests to the Vercel API using the vercel api CLI command.\
- Vercel Connect — Give your agents and services secure, short-lived access to third-party APIs like Slack, GitHub, Microsoft, and Snowflak\
- Authentication — Every Vercel Connect token request has two legs that both have to authenticate: the caller calling Vercel Connect, and V\
- Deploying to Vercel — Create, verify, and manage preview and production deployments on Vercel from Git, Vercel CLI, or the REST API.\
- Deployment Policies — Use a deployment policy to control which Git sources and deployment mechanisms can deploy to your team and projects, per\
- Environments — Environments are for developing locally, testing changes in a pre-production environment, and serving end-users in produ\
- Managing Deployments — Learn how to manage your current and previously deployed projects to Vercel through the dashboard. You can redeploy at a\
- Programmatic Domain Management — Programmatically search, price, purchase, renew, and manage domains with Vercel's domains registrar API endpoints.\
- Removing a Domain from a Project or Account — Remove a domain from a Vercel project, or delete it from your account and all associated projects.\
- Deploying with Vercel Drop — Vercel Drop lets you deploy a file or folder by dragging it into your browser, with no Git or CLI required.\
- Sensitive environment variables — Environment variables that cannot be decrypted once created.\
- How Vercel builds your application — Learn how Vercel transforms your source code into optimized assets ready to serve globally.\
- Deploying from Azure DevOps with Vercel — Vercel for Azure DevOps allows you to deploy from Azure Pipelines to Vercel automatically.\
- Vercel Global Config — A Global Config is a global data store that enables experimentation with feature flags, A/B testing, critical redirects,\
- @vercel/global-config — The Global Config client SDK is the most ergonomic way to read data from Global Configs. Learn how to set up the SDK so\
- Using Global Config — Learn how to use Global Configs in your projects.\
- Managing Global Configs with Vercel REST API — Learn how to use the Vercel REST API to create and update Global Configs. You can also read data stored in Global Config\
- Glossary — Learn about the terms and concepts used in Vercel's products and documentation.\
- Deployment integration actions — These actions allow integration providers to set up automated tasks with Vercel deployments.\
- Building Integrations with Vercel REST API — Learn how to use Vercel REST API to build your integrations and work with redirect URLs.\
- Vercel KMS Authentication — How Vercel KMS authorizes signing requests with a deployment OIDC token, authorizes management requests with a Vercel ac\
- Limits — Look up account limits, usage summaries, rate limits, and resource constraints for every Vercel plan.\
- Multi-Project Platforms Reference — API reference, error codes, troubleshooting, and FAQ for multi-project platforms on Vercel.\
- Multi-tenant Limits — Understand the limits and features available for Vercel for Platforms.\
- Projects overview — A project is where you deploy and operate frontend apps, APIs, backends, containers, and agent workloads on Vercel.\
- Managing projects — Learn how to manage your projects through the Vercel Dashboard.\
- Create an access group project — POST /v1/access-groups/{accessGroupIdOrName}/projects — Allows creation of an access group project\
- Creates an access group — POST /v1/access-groups — Allows to create an access group\
- Delete an access group project — DELETE /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows deletion of an access group project\
- Deletes an access group — DELETE /v1/access-groups/{idOrName} — Allows to delete an access group\
- List access groups for a team, project or member — GET /v1/access-groups — List access groups\
- List members of an access group — GET /v1/access-groups/{idOrName}/members — List members of an access group\
- List projects of an access group — GET /v1/access-groups/{idOrName}/projects — List projects of an access group\
- Reads an access group — GET /v1/access-groups/{idOrName} — Allows to read an access group\
- Reads an access group project — GET /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows reading an access group project\
- Update an access group — POST /v1/access-groups/{idOrName} — Allows to update an access group metadata\
- Update an access group project — PATCH /v1/access-groups/{accessGroupIdOrName}/projects/{projectId} — Allows update of an access group project\
- Create rule — POST /v1/ai-gateway/rules — Create a routing rule\
- Delete rule — DELETE /v1/ai-gateway/rules — Delete a routing rule \(soft delete\)\
- List rules — GET /v1/ai-gateway/rules — List the authenticated team's routing rules\
- Update rule — PATCH /v1/ai-gateway/rules — Update a routing rule \(enabled, action, or description\)\
- Assign an Alias — POST /v2/deployments/{id}/aliases — Creates a new alias for the deployment resolved from the given deployment or alias I\
- Delete an Alias — DELETE /v2/aliases/{aliasId} — Delete an Alias with the specified ID.\
- Get an Alias — GET /v4/aliases/{idOrAlias} — Retrieves an Alias for the given host name or alias ID.\
- List aliases — GET /v4/aliases — Retrieves a list of aliases for the authenticated User or Team. When `domain\` is provided, only alia\
- List Deployment Aliases — GET /v2/deployments/{id}/aliases — Retrieves all Aliases for the Deployment with the given ID. The authenticated user or\
- Update the protection bypass for a URL — PATCH /aliases/{id}/protection-bypass — Update the protection bypass for the alias or deployment URL \(used for user acc\
- Create virtual model config — POST /v1/ai-gateway/virtual-model-configs — Create a virtual model config \(VMC\)\
- Delete virtual model config — DELETE /v1/ai-gateway/virtual-model-configs — Delete a virtual model config \(soft delete\)\
- Get virtual model config — GET /v1/ai-gateway/virtual-model-configs — Get a virtual model config\
- List virtual model configs — GET /v1/ai-gateway/virtual-model-configs/list — List virtual model configs. With `ownerId\`, returns all of that team's\
- Update virtual model config — PATCH /v1/ai-gateway/virtual-model-configs — Update a virtual model config\
- Check if a cache artifact exists — HEAD /v8/artifacts/{hash} — Check that a cache artifact with the given `hash\` exists. This request returns response he\
- Delete all cache artifacts — DELETE /v8/artifacts — Deletes all cache artifacts stored for the authenticated team or user, clearing the Remote Cache.\
- Download a cache artifact — GET /v8/artifacts/{hash} — Downloads a cache artifact indentified by its `hash\` specified on the request path. The art\
- Get status of Remote Caching for this principal — GET /v8/artifacts/status — Check the status of Remote Caching for this principal. Returns a JSON-encoded status indicati\
- Query information about an artifact — POST /v8/artifacts — Query information about an array of artifacts.\
- Record an artifacts cache usage event — POST /v8/artifacts/events — Records an artifacts cache usage event. The body of this request is an array of cache usage\
- Upload a cache artifact — PUT /v8/artifacts/{hash} — Uploads a cache artifact identified by the `hash\` specified on the path. The cache artifact\
- Authentication — Endpoints in the authentication group of the Vercel REST API Reference.\
- Create an Auth Token — POST /v3/user/tokens — Creates and returns a new authentication token for the currently authenticated User. The \`bearer\
- Delete an authentication token — DELETE /v3/user/tokens/{tokenId} — Invalidate an authentication token, such that it will no longer be valid for future H\
- Get Auth Token Metadata — GET /v5/user/tokens/{tokenId} — Retrieve metadata about an authentication token belonging to the currently authenticated\
- List Auth Tokens — GET /v6/user/tokens — Retrieve a list of the current User's authentication tokens.\
- SSO Token Exchange — POST /v1/integrations/sso/token — During the autorization process, Vercel sends the user to the provider \[redirectLogin\
- List FOCUS billing charges — GET /v1/billing/charges — Returns the billing charge data in FOCUS v1.3 JSONL format for a specified Vercel team, within\
- List FOCUS contract commitments — GET /v1/billing/contract-commitments — Returns commitment allocations per contract period in FOCUS v1.3 JSONL format for\
- Purchase credits — POST /v1/billing/buy — Purchases credits for a Vercel team using the default payment method on file. The purchase is cha\
- Delete project-level redirects. — DELETE /v1/bulk-redirects — Deletes the provided redirects from the latest version of the projects' bulk redirects. Stag\
- Edit a project-level redirect. — PATCH /v1/bulk-redirects — Edits a single redirect identified by its source path. Stages a new change with the modified\
- Get the version history for a project's redirects. — GET /v1/bulk-redirects/versions — Get the version history for a project's bulk redirects\
- Gets project-level redirects. — GET /v1/bulk-redirects — Get the version history for a project's bulk redirects\
- Promote a staging version to production or restore a previous production version. — POST /v1/bulk-redirects/versions — Update a version by promoting staging to production or restoring a previous productio\
- Restore staged project-level redirects to their production version. — POST /v1/bulk-redirects/restore — Restores the provided redirects in the staging version to the value in the production\
- Stages new redirects for a project. — PUT /v1/bulk-redirects — Stages new redirects for a project and returns the new version.\
- Get cert by id — GET /v8/certs/{id} — Get cert by id\
- Get certs — GET /v8/certs — Get certs\
- Issue a new cert — POST /v8/certs — Issue a new cert\
- Remove cert — DELETE /v8/certs/{id} — Remove cert\
- Upload a cert — PUT /v8/certs — Upload a cert\
- Create a check — POST /v2/projects/{projectIdOrName}/checks — Creates a new check for a project.\
- Create a check run — POST /v2/deployments/{deploymentId}/check-runs — Creates a new check run for a deployment.\
- Delete a check — DELETE /v2/projects/{projectIdOrName}/checks/{checkId} — Delete an existing check and all of its runs.\
- Get a check — GET /v2/projects/{projectIdOrName}/checks/{checkId} — Return a detailed response for a single check.\
- Get a check run — GET /v2/deployments/{deploymentId}/check-runs/{checkRunId} — Return a detailed response for a single check run.\
- List all checks for a project — GET /v2/projects/{projectIdOrName}/checks — List all checks for a project, optionally filtered by target.\
- List check runs for a deployment — GET /v2/deployments/{deploymentId}/check-runs — List all check runs for a deployment.\
- List runs for a check — GET /v2/projects/{projectIdOrName}/checks/{checkId}/runs — List all runs associated with a given check.\
- Update a check — PATCH /v2/projects/{projectIdOrName}/checks/{checkId} — Update an existing check.\
- Update a check run — PATCH /v2/deployments/{deploymentId}/check-runs/{checkRunId} — Update an existing check run for a deployment.\
- Create a Connect authorization request — POST /v1/connect/authorize/{connector} — Create an authorization request for a connector and return the URL and verifier\
- Create a connector — POST /v1/connect/connectors — Create a connector and optionally link it to a project. Use `type\` with complete provide\
- Create or update a connector project connection — POST /v1/connect/connectors/{connector}/projects/{projectId} — Connect a connector to a project, or replace the environm\
- Delete a connector — DELETE /v1/connect/connectors/{connector} — Delete a connector, its project connections, and its installation records.\
- Disconnect a connector from a project — DELETE /v1/connect/connectors/{connector}/projects/{projectId} — Disconnect a connector from a project.\
- Get a Connect token — POST /v1/connect/token/{connector} — Get an access token for a connector identified by the path parameter and scoped to\
- Get a connector — GET /v1/connect/connectors/{connector} — Get the connector by ID. Accepts a dashboard/team requester or a deployment's p\
- Get a connector project connection — GET /v1/connect/connectors/{connector}/projects/{projectId} — Get the configuration that connects a connector to a proje\
- List connectors — GET /v2/connect/connectors — List connectors that belong to a team.\
- List connectors for a project — GET /v2/connect/projects/{projectId}/connectors — List the connectors connected to a project and the environments where\
- List projects for a connector — GET /v2/connect/connectors/{connector}/projects — List the projects connected to a connector and the environments where\
- Update a connector — PATCH /v2/connect/connectors/{connector} — Update a connector and return the connector with any service-side update sign\
- Update connector trigger destinations — PATCH /v1/connect/connectors/{connector}/trigger-destinations — Replace the full set of destinations that receive trigge\
- Cancel a deployment — PATCH /v12/deployments/{id}/cancel — Cancels a deployment that is currently in progress, stopping the build before it co\
- Create a new deployment — POST /v13/deployments — Creates a new deployment for the authenticated team or user. For non-git deployments, upload fil\
- Delete a Deployment — DELETE /v13/deployments/{id} — This API allows you to delete a deployment, either by supplying its `id\` in the URL or\
- Get a deployment by ID or URL — GET /v13/deployments/{idOrUrl} — Retrieves information for a deployment either by supplying its ID \(`id\` property\) o\
- Get deployment events — GET /v3/deployments/{idOrUrl}/events — Get the build logs of a deployment by deployment ID and build ID. It can work as\
- Get Deployment File Contents — GET /v8/deployments/{id}/files/{fileId} — Allows to retrieve the content of a file by supplying the file identifier and\
- List Deployment Files — GET /v6/deployments/{id}/files — Allows to retrieve the file structure of the source code of a deployment by supplying t\
- List deployments — GET /v7/deployments — List deployments under the authenticated user or team. If a deployment hasn't finished uploading \
- Update deployment integration action — PATCH /v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action} —\
- Upload Deployment Files — POST /v2/files — Before you create a deployment you need to upload the required files for that deployment. To do it, you\
- Create a DNS record — POST /v2/domains/{domain}/records — Creates a DNS record for a domain.\
- Delete a DNS record — DELETE /v2/domains/{domain}/records/{recordId} — Removes an existing DNS record from a domain name.\
- List existing DNS records — GET /v5/domains/{domain}/records — Retrieves a list of DNS records created for a domain name. By default it returns 20 r\
- Update an existing DNS record — PATCH /v1/domains/records/{recordId} — Updates an existing DNS record for a domain name.\
- Buy a domain — POST /v1/registrar/domains/{domain}/buy — Buy a domain\
- Buy multiple domains — POST /v1/registrar/domains/buy — Buy multiple domains at once\
- Get a domain order — GET /v1/registrar/orders/{orderId} — Get information about a domain order by its ID\
- Get a domain's transfer status — GET /v1/registrar/domains/{domain}/transfer — Get the transfer status for a domain\
- Get availability for a domain — GET /v1/registrar/domains/{domain}/availability — Get availability for a specific domain. If the domain is available, it\
- Get availability for multiple domains — POST /v1/registrar/domains/availability — Get availability for multiple domains. If the domains are available, they can\
- Get contact info schema — GET /v1/registrar/domains/{domain}/contact-info/schema — Some TLDs require additional contact information. Use this endp\
- Get contact verification status for a domain — GET /v1/registrar/domains/{domain}/contact-verification — Get the registrant contact verification status for a domain. U\
- Get Domain Availability and Pricing — POST /v1/registrar/domains/search — Start domain research here. Get registration availability and pricing for 1–200 exac\
- Get price data for a domain — GET /v1/registrar/domains/{domain}/price — Get price data for a specific domain\
- Get price data for multiple domains — POST /v1/registrar/domains/price — Get price data for multiple domains in a single request.\
- Get the auth code for a domain — GET /v1/registrar/domains/{domain}/auth-code — Get the auth code for a domain. This is required to transfer a domain fro\
- Get TLD — GET /v1/registrar/tlds/{tld} — Get the metadata for a specific TLD.\
- Get TLD price data — GET /v1/registrar/tlds/{tld}/price — Get price data for a specific TLD. This only reflects base prices for the given TLD\
- Renew a domain — POST /v1/registrar/domains/{domain}/renew — Renew a domain\
- Transfer-in a domain — POST /v1/registrar/domains/{domain}/transfer — Transfer a domain in from another registrar\
- Update auto-renew for a domain — PATCH /v1/registrar/domains/{domain}/auto-renew — Update the auto-renew setting for a domain\
- Update nameservers for a domain — PATCH /v1/registrar/domains/{domain}/nameservers — Update the nameservers for a domain. Pass an empty array to use Verce\
- Add an existing domain to the Vercel platform — POST /v7/domains — This endpoint is used for adding a new apex domain name with Vercel for the authenticating user. Note\
- Claim Domain Ownership — POST /v9/domains/{domain}/claim — Claim ownership of a domain for the authenticated team by verifying a TXT record. The\
- Get a Domain's configuration — GET /v6/domains/{domain}/config — Get a Domain's configuration.\
- Get Domain Verification Record — GET /v9/domains/{domain}/verification — Get the TXT verification record needed to claim ownership of a domain for the au\
- Get Information for a Single Domain — GET /v5/domains/{domain} — Get information for a single domain in an account or team.\
- List all the domains — GET /v5/domains — Retrieves a list of domains registered for the authenticated user or team. By default it returns the l\
- List Project Domains by Apex Domain — GET /v1/domains/{domain}/project-domains — List all project domains associated with an apex domain owned by the authenti\
- Remove a domain by name — DELETE /v6/domains/{domain} — Delete a previously registered domain name from Vercel. Deleting a domain will automatical\
- Update or move apex domain — PATCH /v3/domains/{domain} — Update or move apex domain. Note: This endpoint is no longer used for updating auto-renew o\
- Create a new Drain — POST /v1/drains — Create a new Drain with the provided configuration.\
- Delete a drain — DELETE /v1/drains/{id} — Delete a specific Drain by passing the drain id in the URL.\
- Find a Drain by id — GET /v1/drains/{id} — Get the information for a specific Drain by passing the drain id in the URL.\
- Retrieve a list of all Drains — GET /v1/drains — Allows to retrieve the list of Drains of the authenticated team.\
- Update an existing Drain — PATCH /v1/drains/{id} — Update the configuration of an existing drain.\
- Validate Drain delivery configuration — POST /v1/drains/test — Validate the delivery configuration of a Drain using sample events.\
- Dangerously delete by source image — POST /v1/edge-cache/dangerously-delete-by-src-images — Marks a source image as deleted, causing cache entries associated\
- Dangerously delete by tag — POST /v1/edge-cache/dangerously-delete-by-tags — Marks a cache tag as deleted, causing cache entries associated with tha\
- Invalidate by source image — POST /v1/edge-cache/invalidate-by-src-images — Marks a source image as stale, causing its corresponding transformed imag\
- Invalidate by tag — POST /v1/edge-cache/invalidate-by-tags — Marks a cache tag as stale, causing cache entries associated with that tag to b\
- Create a custom environment for the current project. — POST /v9/projects/{idOrName}/custom-environments — Creates a custom environment for the current project. Cannot be named\
- Create one or more shared environment variables — POST /v1/env — Creates shared environment variable\(s\) for a team.\
- Delete one or more Env Var — DELETE /v1/env — Deletes one or many Shared Environment Variables for a given team.\
- Disconnects a shared environment variable for a given project — PATCH /v1/env/{id}/unlink/{projectId} — Disconnects a shared environment variable for a given project\
- Lists all Shared Environment Variables for a team — GET /v1/env — Lists all Shared Environment Variables for a team, taking into account optional filters.\
- Remove a custom environment — DELETE /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Remove a custom environment for the project.\
- Retrieve a custom environment — GET /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Retrieve a custom environment for the project. M\
- Retrieve custom environments — GET /v9/projects/{idOrName}/custom-environments — Retrieve custom environments for the project. Must not be named 'Produ\
- Retrieve the decrypted value of a Shared Environment Variable by id. — GET /v1/env/{id} — Retrieve the decrypted value of a Shared Environment Variable by id.\
- Update a custom environment — PATCH /v9/projects/{idOrName}/custom-environments/{environmentSlugOrId} — Update a custom environment for the project. M\
- Updates one or more shared environment variables — PATCH /v1/env — Updates a given Shared Environment Variable for a Team.\
- Create a flag — PUT /v1/projects/{projectIdOrName}/feature-flags/flags — Create a new feature flag for a project. The flag must have a u\
- Create a segment — PUT /v1/projects/{projectIdOrName}/feature-flags/segments — Create a new feature flag segment.\
- Create an SDK key — PUT /v1/projects/{projectIdOrName}/feature-flags/sdk-keys — Creates an SDK key.\
- Delete a flag — DELETE /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Permanently delete a feature flag from the pr\
- Delete a segment — DELETE /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Delete a feature flag segment.\
- Delete an SDK key — DELETE /v1/projects/{projectIdOrName}/feature-flags/sdk-keys/{hashKey} — Deletes an SDK key.\
- Get a flag — GET /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Retrieve a specific feature flag by its ID or sl\
- Get a segment — GET /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Retrieve a feature flag segment by ID or s\
- Get all SDK keys — GET /v1/projects/{projectIdOrName}/feature-flags/sdk-keys — Gets all SDK keys for a project.\
- Get project flag settings — GET /v1/projects/{projectIdOrName}/feature-flags/settings — Retrieve feature flag settings for a project.\
- List all flags for a team — GET /v2/teams/{teamId}/feature-flags/flags — Retrieve all feature flags for a team across all projects. Returns an opaqu\
- List flag versions — GET /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug}/versions — Lists flag versions for a given flag.\
- List flags — GET /v2/projects/{projectIdOrName}/feature-flags/flags — Retrieve feature flags for a project. Returns an opaque cursor\
- List segments — GET /v1/projects/{projectIdOrName}/feature-flags/segments — List all feature flag segments for a project.\
- List team project flag settings — GET /v1/teams/{teamId}/feature-flags/settings — Retrieve feature flag settings for projects in a team.\
- Retrieve the feature flags of a deployment — GET /v1/deployments/{deploymentId}/feature-flags — Retrieve the feature flags of a deployment.\
- Update a flag — PATCH /v1/projects/{projectIdOrName}/feature-flags/flags/{flagIdOrSlug} — Update an existing feature flag. This endpoint\
- Update a segment — PATCH /v1/projects/{projectIdOrName}/feature-flags/segments/{segmentIdOrSlug} — Update an existing feature flag segment.\
- Update project flag settings — PATCH /v1/projects/{projectIdOrName}/feature-flags/settings — Update feature flag settings for a project.\
- Make Your First Vercel API Request — Create a scoped Vercel access token, make a read-only REST API request, and call the same operation with the Vercel SDK.\
- Create a Global Config — POST /v1/global-config — Creates a Global Config.\
- Create a Global Config token — POST /v1/global-config/{edgeConfigId}/token — Adds a token to an existing Global Config.\
- Delete a Global Config — DELETE /v1/global-config/{edgeConfigId} — Delete a Global Config by id.\
- Delete a Global Config's schema — DELETE /v1/global-config/{edgeConfigId}/schema — Deletes the schema of existing Global Config.\
- Delete one or more Global Config tokens — DELETE /v1/global-config/{edgeConfigId}/tokens — Deletes one or more tokens of an existing Global Config.\
- Get a Global Config — GET /v1/global-config/{edgeConfigId} — Returns a Global Config.\
- Get a Global Config item — GET /v1/global-config/{edgeConfigId}/item/{edgeConfigItemKey} — Returns a specific Global Config Item.\
- Get all tokens of a Global Config — GET /v1/global-config/{edgeConfigId}/tokens — Returns all tokens of a Global Config.\
- Get Global Config backup — GET /v1/global-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId} — Retrieves a specific version of a Global Conf\
- Get Global Config backups — GET /v1/global-config/{edgeConfigId}/backups — Returns backups of a Global Config.\
- Get Global Config items — GET /v1/global-config/{edgeConfigId}/items — Returns all items of a Global Config.\
- Get Global Config schema — GET /v1/global-config/{edgeConfigId}/schema — Returns the schema of a Global Config.\
- Get Global Config token meta data — GET /v1/global-config/{edgeConfigId}/token/{token} — Return meta data about a Global Config token.\
- Get Global Configs — GET /v1/global-config — Returns all Global Configs.\
- Restore Global Config backup — POST /v1/global-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId}/restore — Restores a Global Config backup.\
- Update a Global Config — PUT /v1/global-config/{edgeConfigId} — Updates a Global Config.\
- Update Global Config items in batch — PATCH /v1/global-config/{edgeConfigId}/items — Update multiple Global Config Items in batch.\
- Update Global Config schema — POST /v1/global-config/{edgeConfigId}/schema — Update a Global Config's schema.\
- Connect integration resource to project — POST /v1/integrations/installations/{integrationConfigurationId}/resources/{resourceId}/connections — Connects an integr\
- Create integration store \(free and paid plans\) — POST /v1/storage/stores/integration/direct — Creates an integration store with automatic billing plan handling. For free\
- Delete an integration configuration — DELETE /v1/integrations/configuration/{id} — Allows to remove the configuration with the `id\` provided in the paramete\
- Get configurations for the authenticated user or team — GET /v1/integrations/configurations — Allows to retrieve all configurations for an authenticated integration. When the \
- List git namespaces by provider — GET /v1/integrations/git-namespaces — Lists git namespaces for a supported provider. Supported providers are `github\`,\
- List git repositories linked to namespace by provider — GET /v1/integrations/search-repo — Lists git repositories linked to a namespace `id\` for a supported provider. A speci\
- List integration billing plans — GET /v1/integrations/integration/{integrationIdOrSlug}/products/{productIdOrSlug}/plans — Get a list of billing plans fo\
- List products for integration configuration — GET /v1/integrations/configuration/{id}/products — Returns products available for an integration configuration. Each pro\
- Retrieve an integration configuration — GET /v1/integrations/configuration/{id} — Allows to retrieve a the configuration with the provided id in case it exists.\
- Activate a signing key — POST /v1/kms/issuers/{issuerId}/keys/{keyId}/activate — Activate a pending signing key so the issuer starts signing with\
- Create a signing key — POST /v1/kms/issuers/{issuerId}/keys — Create a new signing key for a KMS issuer. Depending on the activation mode, the\
- Create an issuer — POST /v1/kms/issuers — Create a new KMS issuer for the authenticated team. An issuer owns the asymmetric signing keys th\
- Create an issuer policy — POST /v1/kms/issuers/{issuerId}/policies — Attach a policy to a KMS issuer that grants a project's deployments permissio\
- Delete an issuer — DELETE /v1/kms/issuers/{issuerId} — Delete a KMS issuer and its signing keys.\
- Delete an issuer policy — DELETE /v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey} — Remove a policy from a KMS issuer.\
- Get an issuer — GET /v1/kms/issuers/{issuerId} — Retrieve a single KMS issuer by its ID. Accepts either a team bearer token \(existing p\
- List issuers — GET /v1/kms/issuers — Retrieve the list of KMS issuers that belong to the authenticated team. The results are paginated.\
- Revoke a signing key — POST /v1/kms/issuers/{issuerId}/keys/{keyId}/revoke — Immediately revoke a signing key that is already scheduled for rev\
- Sign a message — POST /v1/kms/issuers/{issuerId}/sign/message — Sign a raw message with a KMS issuer's active signing key. Authenticate t\
- Sign a token — POST /v1/kms/issuers/{issuerId}/sign/token — Sign a JWT with a KMS issuer's active signing key. Authenticate the request\
- Update an issuer — PATCH /v1/kms/issuers/{issuerId} — Update a KMS issuer's name or claims schema.\
- Update an issuer policy — PATCH /v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey} — Update an existing KMS issuer policy's environments or to\
- Creates a Configurable Log Drain \(deprecated\) — POST /v1/log-drains — Creates a configurable log drain. This endpoint must be called with a team AccessToken \(integrati\
- Creates a new Integration Log Drain \(deprecated\) — POST /v2/integrations/log-drains — Creates an Integration log drain. This endpoint must be called with an OAuth2 client\
- Deletes a Configurable Log Drain \(deprecated\) — DELETE /v1/log-drains/{id} — Deletes a Configurable Log Drain. This endpoint must be called with a team AccessToken \(in\
- [Deletes the Integration log drain with the provided `id\
\\(deprecated\\)](/content/docs/rest-api/logdrains/deletes-the-integration-log-drain-with-the-provided-id-deprecated?from=graph&source_path=%2Fdocs%2Frest-api&source_site=vercel-docs&relationship=inbound&surface=html/index.html) — DELETE /v1/integrations/log-drains/{id} — Deletes the Integration log drain with the provided \id\`. When using an OAut\ - Retrieves a Configurable Log Drain \(deprecated\) — GET /v1/log-drains/{id} — Retrieves a Configurable Log Drain. This endpoint must be called with a team AccessToken \(int\
- Retrieves a list of all the Log Drains \(deprecated\) — GET /v1/log-drains — Retrieves a list of all the Log Drains owned by the account. This endpoint must be called with an a\
- Retrieves a list of Integration log drains \(deprecated\) — GET /v2/integrations/log-drains — Retrieves a list of all Integration log drains that are defined for the authenticated\
- Get logs for a deployment — GET /v1/projects/{projectId}/deployments/{deploymentId}/runtime-logs — Returns a stream of logs for a given deployment.\
- Create Event — POST /v1/installations/{integrationConfigurationId}/events — Partner notifies Vercel of any changes made to an Installat\
- Create one or multiple experimentation items — POST /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items — Create one or multipl\
- Delete an existing experimentation item — DELETE /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId} — Delete an\
- Delete Integration Resource — DELETE /v1/installations/{integrationConfigurationId}/resources/{resourceId} — Delete a resource owned by the selected i\
- Finalize Installation — POST /v1/installations/{integrationConfigurationId}/billing/finalize — This endpoint allows the partner to mark an insta\
- Get Account Information — GET /v1/installations/{integrationConfigurationId}/account — Fetches the best account or user’s contact info\
- Get Integration Resource — GET /v1/installations/{integrationConfigurationId}/resources/{resourceId} — Get a resource by its partner ID.\
- Get Integration Resources — GET /v1/installations/{integrationConfigurationId}/resources — Get all resources for a given installation ID.\
- Get Invoice — GET /v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId} — Get Invoice details and status for a g\
- Get Member Information — GET /v1/installations/{integrationConfigurationId}/member/{memberId} — Returns the member role and other information for\
- Get the data of a user-provided Global Config — HEAD /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-config — When the user\
- Import Resource — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId} — This endpoint imports \(upserts\) a resource\
- Invoice Actions — POST /v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actions — This endpoint allows the part\
- Patch an existing experimentation item — PATCH /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId} — Patch an ex\
- Push data into a user-provided Global Config — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-config — When the user\
- Revoke Installation Credential — POST /v1/installations/{integrationConfigurationId}/credentials/revoke — Retires a superseded installation credential, s\
- Rotate Installation Credential — POST /v1/installations/{integrationConfigurationId}/credentials/rotate — Issues a replacement access token for an instal\
- Submit Billing Data — POST /v1/installations/{integrationConfigurationId}/billing — Sends the billing and usage data. The partner should do th\
- Submit Invoice — POST /v1/installations/{integrationConfigurationId}/billing/invoices — This endpoint allows the partner to submit an inv\
- Submit Prepayment Balances — POST /v1/installations/{integrationConfigurationId}/billing/balance — Sends the prepayment balances. The partner should\
- Update Installation — PATCH /v1/installations/{integrationConfigurationId} — This endpoint updates an integration installation.\
- Update Resource — PATCH /v1/installations/{integrationConfigurationId}/resources/{resourceId} — This endpoint updates an existing resource\
- Update Resource Secrets — PUT /v1/installations/{integrationConfigurationId}/resources/{resourceId}/secrets — This endpoint updates the secrets of\
- Create a microfrontends group with applications — POST /v1/microfrontends/group — Creates a microfrontends group and attaches multiple projects in a single request.\
- Get microfrontends config for a deployment — GET /v1/microfrontends/{deploymentId}/config — Get the microfrontends config for a deployment.\
- Get microfrontends config for a project — GET /v1/microfrontends/projects/{projectIdOrName}/production-mfe-config — Get the microfrontends config for a project by\
- List microfrontends groups — GET /v1/microfrontends/groups — Get the microfrontends group IDs for a team.\
- List projects in a microfrontends group — GET /v1/microfrontends/groups/{groupId}/projects — Get the microfrontends for a given group ID.\
- Create a Secure Compute network — POST /v1/connect/networks — Allows to create a Secure Compute network.\
- Delete a Secure Compute network — DELETE /v1/connect/networks/{networkId} — Allows to delete a Secure Compute network.\
- List Secure Compute networks — GET /v1/connect/networks — Allows to list Secure Compute networks.\
- Read a Secure Compute network — GET /v1/connect/networks/{networkId} — Allows to read a Secure Compute network.\
- Update a Secure Compute network — PATCH /v1/connect/networks/{networkId} — Allows to update a Secure Compute network.\
- Lists disabled Observability Plus projects — GET /v1/observability/manage/configuration/projects — Lists the projects that are currently configured as disabled for O\
- Updates a disabled Observability Plus project setting — PUT /v1/observability/manage/configuration/projects/{projectIdOrName} — Updates whether Observability Plus is disabled f\
- Add a routing rule — POST /v1/projects/{projectId}/routes — Add a single routing rule to a project at a specified position. Defaults to the e\
- Delete routing rules — DELETE /v1/projects/{projectId}/routes — Delete one or more routing rules from a project by ID. Stages a new version wit\
- Edit a routing rule — PATCH /v1/projects/{projectId}/routes/{routeId} — Replace a routing rule identified by its ID, or restore it from the cu\
- Generate a routing rule from natural language — POST /v1/projects/{projectId}/routes/generate — Generate a routing rule configuration from a natural language descriptio\
- Get project routing rules — GET /v1/projects/{projectId}/routes — Get the routing rules for a project. Supports searching by name/ID/pattern, filter\
- Get routing rule version history — GET /v1/projects/{projectId}/routes/versions — Get the version history for a project's routing rules. Returns the stagin\
- Promote, restore, or discard a routing rule version — POST /v1/projects/{projectId}/routes/versions — Promote staged routing rules to production, restore a previous productio\
- Stage routing rules — PUT /v1/projects/{projectId}/routes — Stage routing rules for a project. Set `overwrite\` to true to replace all existi\
- Adds a new member to a project. — POST /v1/projects/{idOrName}/members — Adds a new member to the project.\
- List project members — GET /v1/projects/{idOrName}/members — Lists all members of a project.\
- Remove a Project Member — DELETE /v1/projects/{idOrName}/members/{uid} — Remove a member from a specific project\
- Accept project transfer request — PUT /projects/transfer-request/{code} — Accept a project transfer request initated by another team.
The `code\` i\ - Add a domain to a project — POST /v10/projects/{idOrName}/domains — Add a domain to the project by passing its domain name and by specifying the pro\
[...]
